Package com.xebialabs.xlrelease.domain.delivery.conditions

# Class TimeCondition

java.lang.Object
com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem
com.xebialabs.xlrelease.domain.delivery.Condition
com.xebialabs.xlrelease.domain.delivery.conditions.TimeCondition

All Implemented Interfaces:
  `ConfigurationItem`, `Serializable`, `Comparable<BaseConfigurationItem>`

@Metadata(versioned=false, description="Condition which completes when the specified time is reached.") public class TimeCondition extends Condition

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

  `id, syntheticProperties, type`

  ### Fields inherited from interface com.xebialabs.deployit.plugin.api.udm.ConfigurationItem

  `SYNTHETIC_PROPERTIES_FIELD, TYPE_FIELD`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TimeCondition()`
  `TimeCondition(Integer startDateOffset)`
  `TimeCondition(Date fixedDate)`
  `TimeCondition(Date fixedDate, Integer startDateOffset)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getDescription()`
  `Date`
  `getFixedDate()`
  `Integer`
  `getStartDateOffset()`
  `void`
  `setFixedDate(Date fixedDate)`
  `void`
  `setStartDateOffset(Integer startDateOffset)`
  `void`
  `validate(Delivery delivery)`

  ### Methods inherited from class com.xebialabs.xlrelease.domain.delivery.Condition

  `getAllConditions, getInputProperties, getLeafConditions, getSatisfiedDate, isActive, isLeaf, isSatisfied, markAsSatisfied, reset, setSatisfied, setSatisfiedDate, withId`

  ### Methods inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

  `compareTo, equals, get$ciAttributes, get$directoryReference, get$externalProperties, get$internalId, get$referenceId, get$securedCi, get$securedDirectoryReference, get$token, get$validationMessages, getId, getName, getProperty, getPropertyDescriptor, getType, hashCode, hasProperty, set$ciAttributes, set$directoryReference, set$externalProperties, set$internalId, set$referenceId, set$securedCi, set$securedDirectoryReference, set$token, set$validationMessages, setId, setProperty, setType, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### TimeCondition

    public TimeCondition()

  - ### TimeCondition

    public TimeCondition(Date fixedDate)

  - ### TimeCondition

    public TimeCondition(Integer startDateOffset)

  - ### TimeCondition

    public TimeCondition(Date fixedDate, Integer startDateOffset)

- ## Method Details

  - ### getDescription

    public String getDescription()
    Specified by:
      `getDescription` in class `Condition`

  - ### validate

    public void validate(Delivery delivery)
    Overrides:
      `validate` in class `Condition`

  - ### getFixedDate

    public Date getFixedDate()

  - ### setFixedDate

    public void setFixedDate(Date fixedDate)

  - ### getStartDateOffset

    public Integer getStartDateOffset()

  - ### setStartDateOffset

    public void setStartDateOffset(Integer startDateOffset)